<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:comment>
    <!--
    images = Array(
    <FileReference>)
        propertiesOfFileReference.title,
        propertiesOfFileReference.description,
        propertiesOfFileReference.link,
    -->
</f:comment>


<f:asset.css identifier="swiper-css" href="EXT:akademie_ruhr/Resources/Public/Dist/swiper.css" priority="1" />
<f:asset.script identifier="swiper-js" src="EXT:akademie_ruhr/Resources/Public/Dist/swiper.js" priority="2" />


<div class="swiper-container">

    <div class="swiper-wrapper">
        <f:for each="{images}" as="image">

            <div
                class="swiper-slide {image.properties.colormode} d-flex align-items-center justify-content-center flex-column swiper-lazy"
                data-background="{f:uri.image(width: 1900, height: '600c', image: image)}">
                <div class="swiper-lazy-preloader"></div>

                <h3>
                    <f:link.typolink class="swiper-headline-link" parameter="{image.link}">
                        {image.title}
                    </f:link.typolink>
                </h3>

            </div>
        </f:for>
    </div>

    <div class="swiper-pagination"></div>

</div>

</html>
